Package com.plannaplan.responses.models

# Class AssignmentDetailedResponse

java.lang.Object
com.plannaplan.responses.models.AssignmentDetailedResponse

    public class AssignmentDetailedResponse
    extends java.lang.Object

Assignment detailed response for api

## Field Summary

Fields
Modifier and Type | Field | Description
--- | --- | ---
`java.lang.Long` | `id` |
`java.lang.String` | `name` |

## Constructor Summary

Constructors
Constructor | Description
--- | ---
`AssignmentDetailedResponse​(com.plannaplan.entities.Assignment assignment)` |

## Method Summary

Modifier and Type | Method | Description
--- | --- | ---
`int` | `getDay()` |
`java.lang.String` | `getEndTime()` |
`java.lang.Long` | `getId()` |
`java.lang.String` | `getLecturer()` |
`java.lang.String` | `getName()` |
`java.lang.String` | `getTime()` |
`java.lang.String` | `getType()` |

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Field Details

### id

public java.lang.Long id

### name

public java.lang.String name

## Constructor Details

### AssignmentDetailedResponse

public AssignmentDetailedResponse​(com.plannaplan.entities.Assignment assignment)

Parameters:
  `assignment` - Assignment instance to map

## Method Details

### getType

public java.lang.String getType()

Returns:
  type of the lecture

### getDay

public int getDay()

Returns:
  day as a value from 0-6

### getLecturer

public java.lang.String getLecturer()

Returns:
  lecturer string fromated

### getEndTime

public java.lang.String getEndTime()

Returns:
  time formated string

### getTime

public java.lang.String getTime()

Returns:
  time formated string

### getName

public java.lang.String getName()

Returns:
  name of course that group belongs to

### getId

public java.lang.Long getId()

Returns:
  db id of assignment